I have unlocked a few phones easily before (they used version 1.0.2) but i now have a new one which is using firmware 1.0 (1A543a) im guesing i have to upgrade to the 1.0.2 version but i cant seem to get that to work.
How can i upgrade to 1.0.2 safely without going to 1.1.1